
QGIS Application - Bug report #18193

QGIS 3: in some modules the "QgsProcessingParameterFeatureSource" is not correctly defined

2018-02-23 02:22 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: Processing/SAGA

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26084

Description

Example: Simple Kriging

is

QgsProcessingParameterFeatureSource|FIELD|Attribute|5|None|False

should be (like)

QgsProcessingParameterField|FIELD|Attribute|None|POINTS|-1|False|False

Associated revisions

Revision 4289bcb3 - 2018-06-01 07:55 AM - Nyall Dawson

[processing][saga] Fix some field parameters are incorrectly defined as feature sources

Fixes #18193

History

#1 - 2018-06-01 07:54 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|4289bcb3cb1371ce754d1d4c359904c4fbdd26f0.
